## kubuntu-firefox-installer 10.04ubuntu8

=== CMakeLists.txt ===
project(kubuntu-firefox-installer)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

include( FindPkgConfig )
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

add_subdirectory( src )
add_subdirectory( style )

## kubuntu-firefox-installer 9.10ubuntu1

=== debian/changelog ===
kubuntu-firefox-installer (9.10ubuntu1) karmic; urgency=low

  * Set KCODE to u, so that utf8 works properly (LP: #439964)
  * String change Firefox => Mozilla Firefox
  * Fix desktop file to not include file extension of icon
  * Use proper Mozilla Firefox icon
  * Freeze exceptions (LP: #457228)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 21 Oct 2009 12:30:14 +0200

kubuntu-firefox-installer (0.4) karmic; urgency=low

  * Ditch ruby-gettext in favor of KDE i18n system

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 13 Sep 2009 19:37:20 +0200

kubuntu-firefox-installer (0.3) karmic; urgency=low

  * Build depend on libgettext-ruby-util for rgettext (used in Messages.sh)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 10 Sep 2009 15:39:35 +0200

kubuntu-firefox-installer (0.2) karmic; urgency=low

  * Slim down package by removing some unnecessary cruft from style/
  * Bump standards version to 3.8.3

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 10 Sep 2009 14:52:42 +0200

kubuntu-firefox-installer (0.1) karmic; urgency=low

  * Initial release
  * Don't conflict firefox package-wise for the time being (might make
    update-manager remove already installed firefox in favor of this package)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 16 Aug 2009 20:55:57 +0200

=== debian/control ===
Source: kubuntu-firefox-installer
Section: kde
Priority: extra
Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 7), cdbs, quilt, pkg-kde-tools, gettext
Standards-Version: 3.8.3
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk

Package: kubuntu-firefox-installer
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby, libkorundum4-ruby1.8,
 install-package, kdesudo
#Conflicts: firefox, firefox-3.0 , firefox-3.5
Description: Firefox installer for Kubuntu
 Enables easy installation of Firefox on Kubuntu, via a graphical user
 interface and menu entry.
 .
 This package will be removed once Firefox is installed.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/lib/kubuntu-desktop-i18n/kubuntu.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_DH_BUILDDEB_ARGS += -- -Zlzma

build-ui:
	rbuic4 ui/kubuntu-firefox-installer.ui > kubuntu-firefox-installer-ui.rb

## kubuntu-firefox-installer 10.04ubuntu8

=== debian/changelog ===
kubuntu-firefox-installer (10.04ubuntu8) lucid; urgency=low

  * Update stylesheet to match ubiquity

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Mar 2010 01:02:01 +0000

kubuntu-firefox-installer (10.04ubuntu7) lucid; urgency=low

  * Install kmozillahelper not firefox-gnome-support

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Mar 2010 12:00:39 +0000

kubuntu-firefox-installer (10.04ubuntu6) lucid; urgency=low

  * Explicity build --with-quilt so that the stylesheet packages get applied

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 14 Feb 2010 12:38:10 -0500

kubuntu-firefox-installer (10.04ubuntu5) lucid; urgency=low

  * Now that k-f-i is C++, it should be arch: any, not arch: all

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 14 Feb 2010 12:07:18 -0500

kubuntu-firefox-installer (10.04ubuntu4) lucid; urgency=low

  [ Jonathan Thomas ]
  * Port to C++ (LP: #496049, #517312)
  * Switch packaging to dh short rules, using the kde addon

  [ Harald Sitter ]
  * Update description
  * Remove obsolete conflicts (were never used anyway)
  * Install firefox-gnome-support, otherwise there is no integration at all
  * Drop MPL (nothing licensed with MPL anymore)
  * Update copyright file to reflect C++ port and trademark logo
  * Bump standards version from 3.8.3 to 3.8.4
  * Update build-deps for C++ port
  * Add README.source for quilt

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 14 Feb 2010 17:57:12 +0100

kubuntu-firefox-installer (10.04ubuntu3) lucid; urgency=low

  * Fix debian/install for file name

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Jan 2010 18:51:11 +0000

kubuntu-firefox-installer (10.04ubuntu2) lucid; urgency=low

  * Depend on renamed package libkde4-ruby
  * Use setIconSize instead of iconSize= to work around bug in bindings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Jan 2010 16:59:51 +0000

kubuntu-firefox-installer (10.04ubuntu1) lucid; urgency=low

  [ Harald Sitter ]
  * Rename desktop file from kubuntu-firefox-installer.desktop to
    firefox.desktop (LP: #439431)
    + Install desktop file to /usr/share/applications/ (instead of /kde4/)
    + Manually specify desktop file using new kdesudo cmdl option
    + Depend on kdesudo >= 3.4.2.3

  [ Jonathan Thomas ]
  * Fix typo (LP: #496051)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 06 Nov 2009 15:10:19 +0100

=== debian/control ===
Source: kubuntu-firefox-installer
Section: kde
Priority: extra
Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.5.0),
 kdelibs5-dev
Standards-Version: 3.8.4
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk

Package: kubuntu-firefox-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, install-package,
 kdesudo (>= 3.4.2.3)
Description: Mozilla Firefox installer for Kubuntu
 Enables easy installation of Mozilla Firefox on Kubuntu, via a graphical user
 interface and menu entry.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde --with quilt $@

DEB_DH_BUILDDEB_ARGS += -- -Zlzma

## kubuntu-firefox-installer 10.10ubuntu4

=== debian/changelog ===
kubuntu-firefox-installer (10.10ubuntu4) maverick; urgency=low

  * Fix arguments passed to qapt-batch (LP: #616267)
  * Utilize QStringBuilder for optimizing QString construction
  * Use optimizegraphics to shave 641 bytes out of squares.png

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 11 Aug 2010 09:17:04 -0400

kubuntu-firefox-installer (10.10ubuntu3) maverick; urgency=low

  * Since qapt-batch handles authorization, there is no need to use kdesudo.
    This being the case, remove the usage of kdesudo in k-f-i
  * Fix launching of kubuntu-firefox-installer in install mode (LP: #614777)
  * Remove dependency on kdesudo in debian/control

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 06 Aug 2010 23:09:46 -0400

kubuntu-firefox-installer (10.10ubuntu2) maverick; urgency=low

  * Install firefox-kde-support; kmozillahelper is transitional (LP: #559154)
  * Update bug address
  * Port from install-package to qapt-batch
  * Replace dependency on install-package with one on qapt-batch
  * Apply patches in debian/patches, and remove debian/patches
  * Switch to source format 3.0 (native) since quilt packages must have an
    orig tarball, and we can't have one as we are native
  * Remove now-obsolete README.source
  * Bump Standards-Version to 3.9.1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 20 Jul 2010 11:10:44 -0400

kubuntu-firefox-installer (10.10ubuntu1) maverick; urgency=low

  * Add build-depend on cmake since kdelibs5-dev no longer depends on it
  * Switch to source format 3.0 (quilt):
    - Remove quilt build-depend
    - Remove quilt dh addon from debian/rules
  * Remove obsolete lzma flag, this is handled in pkg-kde-tools now

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 19:30:31 -0400

=== debian/control ===
Source: kubuntu-firefox-installer
Section: kde
Priority: extra
Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev
Standards-Version: 3.9.1
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk

Package: kubuntu-firefox-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qapt-batch
Description: Mozilla Firefox installer for Kubuntu
 Enables easy installation of Mozilla Firefox on Kubuntu, via a graphical user
 interface and menu entry.

## kubuntu-firefox-installer 11.04ubuntu1

=== debian/changelog ===
kubuntu-firefox-installer (11.04ubuntu1) natty; urgency=low

  * Always use the default kde wallpaper "kde-default.png", the old Ethais
    wallpaper now is in kdewallpapers.
    - Depend on kdebase-workspace-data.
  * Drop unused wallpaper.jpg.
  * Pass the sequence as the first parameter to dh.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 31 Jan 2011 17:25:29 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: kubuntu-firefox-installer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, qapt-batch
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-workspace-data, qapt-batch
 Description: Mozilla Firefox installer for Kubuntu
  Enables easy installation of Mozilla Firefox on Kubuntu, via a graphical user
  interface and menu entry.

## kubuntu-firefox-installer 11.10ubuntu1

=== debian/changelog ===
kubuntu-firefox-installer (11.10ubuntu1) oneiric; urgency=low

  * Depend on kde-workspace-data instead of kdebase-workspace-data.
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 12 Jul 2011 20:43:12 +0200

=== debian/control ===
Source: kubuntu-firefox-installer
Section: kde
Priority: extra
Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev
Standards-Version: 3.9.2
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk

Package: kubuntu-firefox-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-workspace-data, qapt-batch
Description: Mozilla Firefox installer for Kubuntu
 Enables easy installation of Mozilla Firefox on Kubuntu, via a graphical user
 interface and menu entry.

## kubuntu-firefox-installer 12.04ubuntu1

=== src/CMakeLists.txt ===
set(kubuntufirefoxinstaller_SRCS
    main.cpp
    kubuntufirefoxinstaller.cpp
)

kde4_add_ui_files(kubuntufirefoxinstaller_SRCS kubuntu-firefox-installer.ui)

kde4_add_executable(kubuntu-firefox-installer ${kubuntufirefoxinstaller_SRCS})

target_link_libraries(kubuntu-firefox-installer ${KDE4_KDEUI_LIBS})

install(TARGETS kubuntu-firefox-installer ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES firefox.desktop  DESTINATION /usr/share/applications )
install( FILES firefox-installer.png  DESTINATION /usr/share/pixmaps )

=== style/CMakeLists.txt ===
file(GLOB _style_files *)
INSTALL(FILES ${_style_files} DESTINATION /usr/share/kubuntu-firefox-installer/style/)

=== debian/changelog ===
kubuntu-firefox-installer (12.04ubuntu1) precise; urgency=low

  * Don't install firefox-kde-support anymore. The KDE integration patches
    have been dropped from the firefox package.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 16 Mar 2012 13:16:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Harald Sitter <apachelogger@ubuntu.com>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
  kdelibs5-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk

## kubuntu-firefox-installer 13.04ubuntu2

=== debian/changelog ===
kubuntu-firefox-installer (13.04ubuntu2) raring; urgency=low

  * Build-dep on pkg-kde-tools (>= 0.15.3ubuntu7)
    + Previous versions were missing the python dep for msgsplit, so
      desktop file pot creation was supposedly not correct.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Mar 2013 14:20:06 +0100

kubuntu-firefox-installer (13.04ubuntu1) raring; urgency=low

  * Set X-Ubuntu-Use-Langpack: yes in control to enable pot generation
  * Build depend on pkg-kde-tools >= 0.15.3ubuntu5 to ensure l10n creation works
  * General package changes/updaes:
    + Add debian/source/options to compress with xz/9
    + Bump standards version to 3.9.4
    + Build depend on debhelper >= 9 and set compat to 9
  * Remove installer UI. Instead we are now calling muon-installer which will
    show the firefox installer page. This allows efficient reuse of existing
    software and also more useful information for the user as muon-installer
    has generally more information than the firefox-installer ever had.
    + Depends on muon-installer >= 1.9.97-0ubuntu2 (ubuntu1 had nullptr
      problems)
    + Drop depends on kde-workspace-data and qapt-batch, all replaced by
      muon-installer
    + Remove Messages.sh as no more source to translate is present, only
      desktop file remains

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 11 Mar 2013 23:00:21 +0100

=== debian/control ===
Source: kubuntu-firefox-installer
Section: kde
Priority: extra
Maintainer: Harald Sitter <apachelogger@ubuntu.com>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.3ubuntu7), cmake,
 kdelibs5-dev
Standards-Version: 3.9.4
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kubuntu-firefox-installer/trunk

Package: kubuntu-firefox-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, muon-installer (>= 1.9.97-0ubuntu2)
Description: Mozilla Firefox installer for Kubuntu
 Enables easy installation of Mozilla Firefox on Kubuntu, via a graphical user
 interface and menu entry.

## kubuntu-firefox-installer 13.10ubuntu1

=== CMakeLists.txt ===
project(kubuntu-firefox-installer)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

add_subdirectory( src )

=== src/CMakeLists.txt ===
install( FILES firefox.desktop  DESTINATION /usr/share/applications )
install( FILES firefox-installer.png  DESTINATION /usr/share/pixmaps )

=== debian/changelog ===
kubuntu-firefox-installer (13.10ubuntu1) saucy; urgency=low

  * Add X-Ubuntu-Gettext-Domain=kubuntu-patched-l10n to get translations
    from kubuntu-patched-l10n package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Oct 2013 15:35:52 +0100

kubuntu-firefox-installer (13.04ubuntu3) saucy; urgency=low

  * Use muon-discover not muon-installer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Jul 2013 13:53:53 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: kubuntu-firefox-installer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, muon-installer (>= 1.9.97-0ubuntu2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, muon-discover (>= 1.9.97-0ubuntu2)
 Description: Mozilla Firefox installer for Kubuntu
  Enables easy installation of Mozilla Firefox on Kubuntu, via a graphical user
  interface and menu entry.
